# Transforming Content

## Real-time Updates and Animations

You can go back to the platform to add more 3D models, delete 3D models, add metadata, or change existing metadata associated with your entry and instantly see the changes in Unity even **while the Unity project is running**.

For example, lets [add metadata](/web-console/manage-pages/data-page/how-to-add-data.md#adding-metadata) with the key `direction` and the value `right`.

![](/files/-MB13Qbgf-9QM9OjxlQG)

This will make the 3D model rotated to the right.

![](/files/-M48FozpdM2Omp0n31Hk)

### Build-in Keywords

The following keys are words the system uses as pre-defined metadata keys to control real-time transformations:

{% hint style="info" %}
Built-in keywords will be suggested through a drop-down list in the console but you can [add](/web-console/manage-pages/data-page/how-to-add-data.md#1-adding-a-data-entry) **any key** and **any value**.
{% endhint %}

| Keyword   | Type    | Options                                                                                         | Effect                                                                                                                  |
| --------- | ------- | ----------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------- |
| x         | float   | Any positive or negative number                                                                 | Moves the hologram on the x-axis                                                                                        |
| y         | float   | Any positive or negative number                                                                 | Moves the hologram on the y-axis                                                                                        |
| z         | float   | Any positive or negative number                                                                 | Moves the hologram on the z-axis                                                                                        |
| scale     | float   | Any positive number                                                                             | Grows or shrinks the hologram uniformly                                                                                 |
| direction | string  | "right" or "left"                                                                               | Continuously rotates the model on its center                                                                            |
| xAngle    | float   | Any positive or negative number                                                                 | Rotates the hologram on the x-axis                                                                                      |
| yAngle    | float   | Any positive or negative number                                                                 | Rotates the hologram on the y-axis                                                                                      |
| zAngle    | float   | Any positive or negative number                                                                 | Rotates the hologram on the z-axis                                                                                      |
| shader    | string  | <p>Any string</p><p>Default for OBJ is "Diffuse"</p><p>Default for GLTF/GLB is "glTF/Unlit"</p> | <p>The name of the shader to apply to a model holograms.<br>E.g. use "Legacy Shaders/Diffuse" for iOS/Android apps.</p> |
| mute      | boolean | <p>Either 'true' of 'false'</p><p>Default value is 'false'</p>                                  | Mute the sound of a video hologram                                                                                      |
| height    | integer | Any positive number                                                                             | Set the height of an image hologram or a video hologram                                                                 |
| width     | integer | Any positive number                                                                             | Set the width of an image hologram or a video hologram                                                                  |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.echo3d.com/unity/transforming-content.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
